<?php
/*
\* ===========================================
\* 项目: CTB文本论坛
\* 版本:1.4
\* 团队: 实易数码
\* 小组: CTB文本论坛小组
\* 作者: 险情
\* 功能: 后台版块处理程式---虚拟形象管理
\* ===========================================
\* Copyright (c) 2002
\* 团队主页: http://www.11cn.org
\* 团队信箱: ------
\* 创建日期: 2002/7/19
\* 修改日期: 2002-12-27
\* 修改说明: ------
\* 版权声明: 这个程序是免费软件.
\* ===========================================
*/

//=============================================================================

class Module extends CommonClass
{
    function execute()
    {
        switch($this->input['action']) {
			//
            case 'faceOpen':
                $this->faceOpen();
                break;
            case 'saveFaceOpen':
                $this->saveFaceOpen();
                break;
			//
            case 'showAllSort':
                $this->showAllSort();
                break;
            case 'saveOneSort':
                $this->saveOneSort();
                break;
            //
			case 'showAllFace':
                $this->showAllFace();
                break;
			case 'saveOneFace':
                $this->saveOneFace();
                break;
        }
    } // end func

//-----------------------------------------------------------------------------
//---1、
//---2、
//---3、
//-----------------------------------------------------------------------------

//=============================================================================
//显示虚拟形象开关
    function faceOpen()
    {
        $openLimitChecked[$this->set[faceDesign]] = "checked";
	    eval("\$this->outPut(\"".$this->getTemplate("userFaceOpen")."\");");

	} // end func

//=============================================================================
//虚拟形象是否打开
    function saveFaceOpen()
    {
		//判断是否可以打开
        if($this->input[openLimit] == "Y" and !is_dir("../images/facedesign")){
            $this->adminShowWrong("main.php?mod=usermoney&action=faceOpen","请您去ctb官方论坛下载图片.");
		}

		//
	    $this->file = "../include/config.php";        
		$getConfigArray = $this->read_file();
		$getConfig = implode("",$getConfigArray);
        $var_name  = '$set\[faceDesign\]';
		$getYorN = "\"{$this->input[openLimit]}\"";

        $getConfig   = preg_replace("/(\\".$var_name."\s*=)[^;]*/", "\\1 ".$getYorN, $getConfig);
        
		//$getConfig = ereg_replace("\$set\[faceDesign\] = \"[YN]\";","aaa",$getConfig); 
        
	    $this->file = "../include/config.php";        
        $this->null_write($getConfig);



        $this->adminShowMsg("main.php?mod=usermoney&action=faceOpen","您已经成功修改了.");

	} // end func



//=============================================================================
//虚拟分类设置
    function showAllSort()
    {
         //获取分类列表
	    $this->file = "../".$this->set[dataPath]."/facedesign/face_sort.php";
		$getSortNameArray = $this->openFile();  
		for ($i=0; $i<count($getSortNameArray); $i++) {
            $userFaceSortHtm .= "<tr> 
			<form name=\"usermoney\" method=\"post\" action=\"./main.php?mod=usermoney&action=saveOneSort\">
            <td bgcolor=\"white\" width=\"8%\" align=\"center\">
			  <input type=\"hidden\"name=\"sortId\" value=
			  ".$getSortNameArray[$i][1].">
			  ".$getSortNameArray[$i][1]."
		    </td>
            <td bgcolor=\"f5f5f5\" width=\"23%\">
			  <input type=\"text\" name=\"sortName\" value=
			  ".$getSortNameArray[$i][3].">
			</td>
			<td bgcolor=\"white\">
			  <input type=\"text\" name=\"sortInfo\" value=
			  ".$getSortNameArray[$i][4].">
			</td>
			<td bgcolor=\"white\" width=\"10%\" align=\"center\">
			  <input type=\"text\" name=\"sortUse\" value=
			  ".$getSortNameArray[$i][2].">
			</td>
			<td bgcolor=\"f5f5f5\" width=\"13%\" align=\"center\">
			  <input type=\"submit\" value=\" 提交 \">
			</td>
			</form>
         </tr>";
		}
	     //
		 eval("\$this->outPut(\"".$this->getTemplate("userFaceSort")."\");");

	} // end func

//=============================================================================
//修改一个虚拟分类
    function saveOneSort()
    {
	    $this->file = "../".$this->set[dataPath]."/facedesign/face_sort.php";
		$getSortNameArray = $this->select_line(1,$this->input[sortId]);  
		
		$getSortNameArray[2] = $this->input[sortUse];
		$getSortNameArray[3] = $this->input[sortName];
		$getSortNameArray[4] = $this->input[sortInfo];

		$this->update2(1,$this->input[sortId],$getSortNameArray);

        $this->adminShowMsg("main.php?mod=usermoney&action=showAllSort","您已经成功修改了虚拟分类.");


	} // end func



//=============================================================================
//显示所有虚拟分类
    function showAllFace()
    {
		$this->file = "../".$this->set[dataPath]."/facedesign/face_list.php";
		if($this->input['sort']){
		    $getFaceNameArray = $this->select(2, $this->input['sort']);
		}
		else{
		    $getFaceNameArray = $this->openFile();
		}

        $totalFile = count($getFaceNameArray);
		$recnum = 10;
		$totalNum = ($totalFile % $recnum) == "0" ? intval(($totalFile)/$recnum) : intval(($totalFile)/$recnum)+1;

        $p = $this->input['p'];
		if ( !$this->input['p'] ) { $p = 1; }

		for ($i = ($totalFile - ($p-1)*$recnum)-1; $i > ($totalFile - $p*$recnum)-1;$i--) {
            if($getFaceNameArray[$i]){
			$userFaceSortHtm .= "<tr> 
			<form name=\"usermoney\" method=\"post\" action=\"./main.php?mod=usermoney&action=saveOneFace\">
            <td bgcolor=\"white\" align=\"center\">
<input type=\"hidden\"name=\"sort\" value={$this->input[sort]}>
<input type=\"hidden\"name=\"p\" value={$this->input[p]}>
			  <input type=\"hidden\"name=\"faceId\" value=
			  ".$getFaceNameArray[$i][1].">
			  ".$getFaceNameArray[$i][1]."
		    </td>
            <td bgcolor=\"f5f5f5\">
			  <input type=\"text\" name=\"faceName\" value=
			  ".$getFaceNameArray[$i][3]." size=10>
			</td>
			<td bgcolor=\"white\">
			  <input type=\"text\" name=\"faceInfo\" value=
			  ".$getFaceNameArray[$i][5]."  size=12>
			</td>
			<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"faceMoney\" value=
			  ".$getFaceNameArray[$i][4]." size=3>
			</td>
			<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"faceSex\" value=
			  ".$getFaceNameArray[$i][7]." size=3>
			</td>
				<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"faceUseTime\" value=
			  ".$getFaceNameArray[$i][6]." size=3>
			</td>
			<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"faceNum\" value=
			  ".$getFaceNameArray[$i][12]." size=3>
			</td>
				<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"faceSort\" value=
			  ".$getFaceNameArray[$i][2]." size=3>
			</td>
							<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"facePicBig\" value=
			  ".$getFaceNameArray[$i][8]." size=8>
			</td>
							<td bgcolor=\"white\"align=\"center\">
			  <input type=\"text\" name=\"facePicSmall\" value=
			  ".$getFaceNameArray[$i][9]." size=8>
			</td>
			<td bgcolor=\"f5f5f5\" align=\"center\">
			  <input type=\"submit\" value=\"提交\">
			</td>
			</form>
         </tr>";
			}
		}
		$page = $this->getPage("main.php?mod=usermoney&action=showAllFace&sort={$this->input[sort]}",$totalNum);
		 
		 //获取物品列表

		$this->file = "../".$this->set[dataPath]."/facedesign/face_sort.php";;
		$getFaceSort = $this->openFile();
		for ($i=0; $i<count($getFaceSort); $i++) {
			if ($this->input['sort']==$getFaceSort[$i][1]) {
		        $checkSort = "selected";
		    }
			else {
		        $checkSort = "";
			}
		    $showFaceSort .= "<option value=\"".$getFaceSort[$i][1]."\" $checkSort>".$getFaceSort[$i][3]."</option>";

		}
		//
		 
		 eval("\$this->outPut(\"".$this->getTemplate("userAllFace")."\");");

	} // end func

//=============================================================================
//修改一个虚拟分类
    function saveOneFace()
    {
	    $this->file = "../".$this->set[dataPath]."/facedesign/face_list.php";
		$getFaceNameArray = $this->select_line(1,$this->input[faceId]);  
		
		$getFaceNameArray[2] = $this->input[faceSort];
		$getFaceNameArray[3] = $this->input[faceName];
		$getFaceNameArray[4] = $this->input[faceMoney];
		$getFaceNameArray[5] = $this->input[faceInfo];
		$getFaceNameArray[6] = $this->input[faceUseTime];
		$getFaceNameArray[7] = $this->input[faceSex];
		$getFaceNameArray[8] = $this->input[facePicBig];
		$getFaceNameArray[9] = $this->input[facePicSmall];

		$getFaceNameArray[12] = $this->input[faceNum];


		$this->update2(1,$this->input[faceId],$getFaceNameArray);

        $this->adminShowMsg("main.php?mod=usermoney&action=showAllFace&sort={$this->input[sort]}&p={$this->input[p]}","您已经成功修改了虚拟形象.");


	} // end func



//<<
//=============================================================================
} //end class
